# Generated by Django 2.0.7 on 2018-11-12 14:20

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [("orders", "0003_auto_20181112_1420")]

    operations = [
        migrations.CreateModel(
            name="Payment",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "amount",
                    models.DecimalField(
                        decimal_places=4, max_digits=20, verbose_name="amount"
                    ),
                ),
                ("currency", models.CharField(max_length=3, verbose_name="currency")),
                (
                    "status",
                    models.CharField(
                        choices=[
                            ("new", "new"),
                            ("in_progress", "in progress"),
                            ("accepted_for_proc", "accepted for processing"),
                            ("partially_paid", "partially paid"),
                            ("paid", "paid"),
                            ("cancelled", "cancelled"),
                            ("failed", "failed"),
                            ("refunded", "refunded"),
                        ],
                        db_index=True,
                        default="new",
                        max_length=20,
                        verbose_name="status",
                    ),
                ),
                ("backend", models.CharField(max_length=50, verbose_name="backend")),
                (
                    "created_on",
                    models.DateTimeField(
                        auto_now_add=True, db_index=True, verbose_name="created on"
                    ),
                ),
                (
                    "paid_on",
                    models.DateTimeField(
                        blank=True,
                        db_index=True,
                        default=None,
                        null=True,
                        verbose_name="paid on",
                    ),
                ),
                (
                    "amount_paid",
                    models.DecimalField(
                        decimal_places=4,
                        default=0,
                        max_digits=20,
                        verbose_name="amount paid",
                    ),
                ),
                (
                    "refunded_on",
                    models.DateTimeField(
                        blank=True,
                        db_index=True,
                        default=None,
                        null=True,
                        verbose_name="refunded on",
                    ),
                ),
                (
                    "amount_refunded",
                    models.DecimalField(
                        decimal_places=4,
                        default=0,
                        max_digits=20,
                        verbose_name="amount refunded",
                    ),
                ),
                (
                    "external_id",
                    models.CharField(
                        blank=True,
                        db_index=True,
                        default="",
                        max_length=64,
                        verbose_name="external id",
                    ),
                ),
                (
                    "description",
                    models.CharField(
                        blank=True,
                        default="",
                        max_length=128,
                        verbose_name="description",
                    ),
                ),
                (
                    "fraud_status",
                    models.CharField(
                        choices=[
                            ("unknown", "unknown"),
                            ("accepted", "accepted"),
                            ("rejected", "rejected"),
                            ("check", "check"),
                        ],
                        db_index=True,
                        default="unknown",
                        max_length=20,
                        verbose_name="fraud status",
                    ),
                ),
                (
                    "fraud_message",
                    models.TextField(blank=True, verbose_name="fraud message"),
                ),
                (
                    "order",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="payments",
                        to="orders.Order",
                        verbose_name="order",
                    ),
                ),
            ],
            options={
                "verbose_name": "Payment",
                "verbose_name_plural": "Payments",
                "ordering": ["-created_on"],
                "abstract": False,
                "swappable": "GETPAID_PAYMENT_MODEL",
            },
        )
    ]
